shows: Get single show by name

API: tvmaze.com:tvmaze-api
Endpoint: /singlesearch/shows
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 172ms

Description

Search for a single TV show by exact or near-exact name match. Returns exactly one show - the best match for the search query. Unlike /search/shows which returns multiple candidates, this endpoint is designed when you expect exactly one result. Useful for unambiguous show lookups.

From spec: Returns the most relevant show for the given query. Supports embedding related data.

Usage Tips

- Returns 404 if no show matches - Returns 422 if multiple shows match equally well - Use 'embed' parameter to include episodes or cast - More strict than the regular search endpoint

Parameters (2)

embed (array, query, optional)

Embed additional data (episodes, cast, etc.)

q (string, query, required)

Show name to search for

Examples (7)

Single search show doc_extracted

Search for TV content matching 'The%20Walking%20Dead'

curl 'https://api.tvmaze.com/singlesearch/shows?q=The+Walking+Dead'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'The Walking Dead',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="The Walking Dead")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=The+Walking+Dead");
const data = await resp.json();
Single search shows doc_extracted

Search for TV content matching 'lost'

curl 'https://api.tvmaze.com/singlesearch/shows?q=lost'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'lost',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="lost")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=lost");
const data = await resp.json();
Search for Game of Thrones curl

Search for TV content matching 'Game%20of%20Thrones'

curl 'https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'Game of Thrones',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="Game of Thrones")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones");
const data = await resp.json();
Search for Breaking Bad curl

Search for TV content matching 'Breaking%20Bad'

curl 'https://api.tvmaze.com/singlesearch/shows?q=Breaking+Bad'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'Breaking Bad',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="Breaking Bad")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=Breaking+Bad");
const data = await resp.json();
Search for The Office curl

Search for TV content matching 'The%20Office'

curl 'https://api.tvmaze.com/singlesearch/shows?q=The+Office'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'The Office',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="The Office")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=The+Office");
const data = await resp.json();
Single show search openapi-spec
curl 'https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones&embed=episodes'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'Game of Thrones',
        'embed': 'episodes',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="Game of Thrones", embed="episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones&embed=episodes");
const data = await resp.json();
Single show search probe-gate
curl 'https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones&embed=episodes'
import requests

resp = requests.get(
    "https://api.tvmaze.com/singlesearch/shows",
    params={
        'q': 'Game of Thrones',
        'embed': 'episodes',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("singlesearch/shows", q="Game of Thrones", embed="episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/singlesearch/shows?q=Game+of+Thrones&embed=episodes");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:44:52.604849 200 172ms
2026-04-16 16:43:22.079047 200 161ms
2026-04-16 03:18:07.121197 200 151ms
2026-04-16 02:31:37.444830 200 120ms
2026-04-16 01:29:19.745660 200 153ms
2026-04-16 00:41:43.734285 200 182ms
2026-04-16 00:23:09.170086 200 121ms
2026-04-16 00:19:11.534130 200 178ms
2026-04-16 00:04:22.737516 200 112ms
2026-04-15 03:24:22.534245 200 168ms
2026-04-15 03:22:48.897936 200 128ms
2026-04-15 02:52:43.280383 200 140ms
2026-04-15 02:49:37.150604 200 167ms
2026-04-15 01:02:21.965330 200 193ms
2026-04-15 00:59:51.908803 200 159ms
2026-04-15 00:26:28.149291 200 125ms
2026-04-14 04:08:45.728796 200 115ms
2026-04-14 04:02:35.580811 200 146ms
2026-04-14 03:05:25.230667 200 144ms
2026-04-14 01:14:01.678366 200 153ms
2026-04-14 00:21:42.272662 200 172ms
2026-04-14 00:06:18.266467 200 124ms
2026-04-14 00:03:06.034764 200 144ms
2026-04-12 16:17:50.855209 200 112ms
2026-04-12 16:04:44.868755 200 139ms
2026-04-12 14:54:25.996740 200 151ms
2026-04-12 14:51:37.800739 200 113ms
2026-04-12 13:44:41.261159 200 181ms
2026-04-12 13:01:05.365260 200 130ms
2026-04-12 12:43:08.654828 200 210ms
2026-04-10 05:09:42.716876 200 95ms
2026-04-10 02:36:54.701061 200 168ms
2026-04-10 02:35:52.217465 200 298ms
2026-04-10 01:56:07.005208 200 113ms
2026-04-10 01:49:22.679728 200 298ms
2026-04-10 00:37:24.756004 200 110ms
2026-04-10 00:11:13.070406 200 332ms
2026-04-09 03:43:17.088829 200 103ms
2026-04-09 03:36:14.481811 200 132ms
2026-04-09 02:11:37.721485 200 114ms
2026-04-09 01:51:13.770086 200 165ms
2026-04-09 01:37:33.665795 200 153ms
2026-04-09 01:02:30.409886 200 169ms
2026-04-09 00:28:00.767140 200 175ms
2026-03-23 10:15:40.663282 200 119ms
2026-03-23 10:10:57.281961 200 108ms
2026-03-23 09:48:04.998461 200 124ms
2026-03-23 09:43:51.385719 200 96ms
2026-03-23 09:05:36.550637 200 82ms
2026-03-23 09:02:21.580688 200 87ms